## Index

### Classes

- InvalidPatchError
- InvalidPointerError
- JSONPatchError
- PatchConflictError
- PatchTestFailed

### Interfaces

- AddPatch
- CopyPatch
- MovePatch
- Patch
- RemovePatch
- ReplacePatch
- TestPatch

### Type aliases

- OpPatch

### Functions

- apply
- compile

## Type aliases

### OpPatch

OpPatch: AddPatch | RemovePatch | ReplacePatch | MovePatch | CopyPatch | TestPatch

- Defined in node_modules/@types/json-patch/index.d.ts:7

## Functions

### apply

- apply(document: any, patches: OpPatch[]): any

- - Defined in node_modules/@types/json-patch/index.d.ts:35

  #### Parameters

  - ##### document: any

  - ##### patches: OpPatch[]

  #### Returns any

### compile

- compile(patches: OpPatch[]): function

- - Defined in node_modules/@types/json-patch/index.d.ts:36

  #### Parameters

  - ##### patches: OpPatch[]

  #### Returns function

  - - (document: any): any

    - #### Parameters

      - ##### document: any

      #### Returns any

Generated using TypeDoc